JNDIReferenceFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.jndi.JNDIReferenceFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.jndi
Class JNDIReferenceFactory

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIReferenceFactory

All Implemented Interfaces:
  ObjectFactory

public class JNDIReferenceFactory
extends Object
implements ObjectFactory

Converts objects implementing JNDIStorable into a property fields so they can be stored and regenerated from JNDI

Field Summary
`(package private) static Log` | `log`

Constructor Summary
`JNDIReferenceFactory()`

Method Summary
`static Reference` | `createReference(String instanceClassName, JNDIStorableInterface po)` Create a Reference instance from a JNDIStorable object
`Object` | `getObjectInstance(Object object, Name name, Context nameCtx, Hashtable environment)` This will be called by a JNDIprovider when a Reference is retrieved from a JNDI store - and generates the orignal instance
`static Class` | `loadClass(Object thisObj, String className)` Retrieve the class loader for a named class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    static Log log

Constructor Detail

### JNDIReferenceFactory

    public JNDIReferenceFactory()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object object,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable environment)
                             throws Exception

  This will be called by a JNDIprovider when a Reference is retrieved from a JNDI store - and generates the orignal instance

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Parameters:
    `object` - the Reference object
    `name` - the JNDI name
    `nameCtx` - the context
    `environment` - the environment settings used by JNDI
  Returns:
    the instance built from the Reference object
  Throws:
    `Exception` - if building the instance from Reference fails (usually class not found)

### createReference

    public static Reference createReference(String instanceClassName,
                                            JNDIStorableInterface po)
                                     throws NamingException

  Create a Reference instance from a JNDIStorable object

  Parameters:
    `instanceClassName` -
    `po` -
  Returns:
    @throws NamingException
  Throws:
    `NamingException`

### loadClass

    public static Class loadClass(Object thisObj,
                                  String className)
                           throws ClassNotFoundException

  Retrieve the class loader for a named class

  Parameters:
    `thisObj` -
    `className` -
  Returns:
    @throws ClassNotFoundException
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.